My Project: dgAmpInstance Class Reference

My Project

Classes | Public Member Functions | List of all members
dgAmpInstance Class Reference

`#include <dgAmpInstance.h>`

Inheritance diagram for dgAmpInstance:

## Classes

class | dgAcceleratorDescription

## Public Member Functions

| DG_CLASS_ALLOCATOR (allocator)
| dgAmpInstance (dgWorld *const world)
| ~dgAmpInstance (void)
void | CleanUp ()
dgInt32 | GetPlatformsCount () const
void | SelectPlaform (dgInt32 deviceIndex)
void | GetVendorString (dgInt32 deviceIndex, char *const name, dgInt32 maxlength) const
void | ConstraintSolver (dgInt32 islandCount, const dgIsland *const islandArray, dgFloat32 timestep)
Public Member Functions inherited from dgAmpBodyData
| dgAmpBodyData (dgMemoryAllocator *const allocator)
void | Alloc (dgInt32 count)
void | CLean ()
Public Member Functions inherited from dgAmpConstraintData
| dgAmpConstraintData (dgMemoryAllocator *const allocator)
void | Alloc (dgInt32 size)
void | CLean ()

## Additional Inherited Members

Public Attributes inherited from dgAmpBodyData
dgInt32 | m_currentSize
array< float_4, 1 > | m_bodyInvMass
array< dgAmpJacobian, 1 > | m_bodyDamp
array< dgAmpJacobian, 1 > | m_bodyVelocity
array< dgAmpJacobian, 1 > | m_bodyNetForce
array< dgAmpJacobian, 1 > | m_bodyInternalForce
array< dgAmpMatrix4x4, 1 > | m_bodyMatrix
array< dgAmpMatrix4x4, 1 > | m_bodyInvInertiaMatrix
array_view< float_4, 1 > | m_bodyInvMassCpu
array_view< dgAmpJacobian, 1 > | m_bodyDampCpu
array_view< dgAmpMatrix4x4, 1 > | m_bodyMatrixCpu
array_view< dgAmpJacobian, 1 > | m_bodyVelocityCpu
Public Attributes inherited from dgAmpConstraintData
dgInt32 | m_currentSize
array< dgAmpJacobianMatrixElement, 1 > | m_matrixData
array_view< dgAmpJacobianMatrixElement, 1 > | m_matrixDataCpu

## Constructor & Destructor Documentation

## § dgAmpInstance()

dgAmpInstance::dgAmpInstance | ( | dgWorld *const | world | ) |

## § ~dgAmpInstance()

dgAmpInstance::~dgAmpInstance | ( | void |  | ) |

## Member Function Documentation

## § CleanUp()

void dgAmpInstance::CleanUp | ( |  | ) |

## § ConstraintSolver()

void dgAmpInstance::ConstraintSolver | ( | dgInt32 | islandCount,
|  | const dgIsland *const | islandArray,
|  | dgFloat32 | timestep
| ) |  |

## § DG_CLASS_ALLOCATOR()

dgAmpInstance::DG_CLASS_ALLOCATOR | ( | allocator |  | ) |

## § GetPlatformsCount()

dgInt32 dgAmpInstance::GetPlatformsCount | ( |  | ) | const

## § GetVendorString()

void dgAmpInstance::GetVendorString | ( | dgInt32 | deviceIndex,
|  | char *const | name,
|  | dgInt32 | maxlength
| ) |  | const

## § SelectPlaform()

void dgAmpInstance::SelectPlaform | ( | dgInt32 | deviceIndex | ) |

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/ampPhysics/dgAmpInstance.h
- dynamics.mod/NewtonDynamics/source/ampPhysics/dgAmpInstance.cpp
- dynamics.mod/NewtonDynamics/source/ampPhysics/dgAmpSolver.cpp